PHY_ATTACH(9)

NAME
phy_attach - attach a network device to a particular PHY device

SYNOPSIS

struct phy_device * phy_attach(struct net_device * dev, const char * bus_id, phy_interface_t interface);

ARGUMENTS

dev
    network device to attach

bus_id
    Bus ID of PHY device to attach

interface
    PHY device's interface

DESCRIPTION

Same as phy_attach_direct except that a PHY bus_id string is passed instead of a pointer to a struct phy_device.

COPYRIGHT